#include<stdio.h>
#include<math.h>


int main()
{	
	long x,n,min,max,p,res;	
	scanf("%ld%ld",&n,&x);		
	scanf("%ld",&p);
	min=p;
	max=p;	
	for(int i=0;i<n-1;i++)
	{
		scanf("%ld",&p);
		if(p<min)
		min=p;
		if(p>max)
		max=p;		
	}	
	if(x>(max+min)/2)
	res=abs(max-x)+abs(max-min);
	else
	res=abs(min-x)+abs(max-min);			
	printf("%ld",res);
	return 0;
}